
QGIS Application - Bug report #18105

go2streetview 8.0 plugin doesn't work on QGIS3-dev -- AttributeError: type object 'QgsMessageLog' 

has no attribute 'INFO'

2018-02-14 02:45 PM - sand thorn

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:master Regression?: No

Operating System: Windows 10 64-bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 26001

Description

The plugin page confirm 8.0 work on QGIS3 but it doesn't on mine.

An error has occurred while executing Python code: 

AttributeError: type object 'QgsMessageLog' has no attribute 'INFO' 

Traceback (most recent call last):

  File "C:/Users/<User>/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\go2streetview\go2streetview.py", line

678, in canvasReleaseEvent

    self.openSVDialog()

  File "C:/Users/<User>/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\go2streetview\go2streetview.py", line

704, in openSVDialog

    core.QgsMessageLog.logMessage(QtCore.QUrl(self.gswDialogUrl).toString(), tag="go2streetview",

level=core.QgsMessageLog.INFO)

AttributeError: type object 'QgsMessageLog' has no attribute 'INFO'

Python version: 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)] 

QGIS version: 2.99.0-Master Master, b6ad920404 

History

#1 - 2018-02-14 02:51 PM - sand thorn

Sorry, I forgot to mention that the error occurs when releasing mouse left button after locating a PoV camera.

#2 - 2018-02-14 03:20 PM - Salvatore Larosa

- Resolution set to invalid

- Status changed from Open to Closed

This is a plugin issue not a QGIS one so please open a ticket in the bug tracker of the plugin here: https://github.com/enricofer/go2streetview/issues

Thanks.
